RTEMS: cpukit/libdl/rtl-shell.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Functions
rtl-shell.c File Reference

RTEMS Run-Time Link Editor Shell Commands. More...

`#include <inttypes.h>`
`#include <sys/stat.h>`
`#include <regex.h>`
`#include <string.h>`
`#include <dlfcn.h>`
`#include <rtems/printer.h>`
`#include <rtems/rtl/rtl.h>`
`#include <rtems/rtl/rtl-archive.h>`
`#include <rtems/rtl/rtl-shell.h>`
`#include <rtems/rtl/rtl-trace.h>`
`#include "rtl-chain-iterator.h"`

## Data Structures
struct | rtems_rtl_shell_cmd
struct | rtems_rtl_obj_summary
struct | rtems_rtl_obj_print
struct | rtems_rtl_dep_data

## Macros
#define | SYM_DUPLICATE (1 << ((8 * sizeof (size_t)) - 1))
#define | CALL_ARG_COUNT (4)

## Typedefs
typedef int(* | rtems_rtl_shell_handler) (const rtems_printer *printer, int argc, char *argv[])

## Functions
int | rtems_rtl_shell_list (const rtems_printer *printer, int argc, char *argv[])
int | rtems_rtl_shell_sym (const rtems_printer *printer, int argc, char *argv[])
int | rtems_rtl_shell_object (const rtems_printer *printer, int argc, char *argv[])
int | rtems_rtl_shell_archive (const rtems_printer *printer, int argc, char *argv[])
int | rtems_rtl_shell_call (const rtems_printer *printer, int argc, char *argv[])
int | rtems_rtl_shell_command (int argc, char *argv[])

## Detailed Description

RTEMS Run-Time Link Editor Shell Commands.

A simple RTL command to aid using the RTL.

## Typedef Documentation

## ◆ rtems_rtl_shell_handler

typedef int(* rtems_rtl_shell_handler) (const rtems_printer *printer, int argc, char *argv[])

The type of the shell handlers we have.

## Function Documentation

## ◆ rtems_rtl_shell_archive()

int rtems_rtl_shell_archive | ( | const rtems_printer * | printer,
|  | int | argc,
|  | char * | argv[]
| ) |  |

Archive files.

## ◆ rtems_rtl_shell_call()

int rtems_rtl_shell_call | ( | const rtems_printer * | printer,
|  | int | argc,
|  | char * | argv[]
| ) |  |

Call text symbol.

## ◆ rtems_rtl_shell_command()

int rtems_rtl_shell_command | ( | int | argc,
|  | char * | argv[]
| ) |  |

The RTL single shell command contains sub-commands.

Parameters

  argc | The argument count.
  argv | Array of argument strings.

Return values

  0 | No error.

Returns
  int The exit code.

## ◆ rtems_rtl_shell_list()

int rtems_rtl_shell_list | ( | const rtems_printer * | printer,
|  | int | argc,
|  | char * | argv[]
| ) |  |

List object files.

## ◆ rtems_rtl_shell_object()

int rtems_rtl_shell_object | ( | const rtems_printer * | printer,
|  | int | argc,
|  | char * | argv[]
| ) |  |

Object files.

## ◆ rtems_rtl_shell_sym()

int rtems_rtl_shell_sym | ( | const rtems_printer * | printer,
|  | int | argc,
|  | char * | argv[]
| ) |  |

Symbols.